## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/executablebooks/sphinx-design

Name:           python-sphinx-design
Version:        0.6.1
Release:        %autorelease
Summary:        Sphinx extension for responsive web components

# This project is MIT, but bundles JSON glyphs
# - sphinx_design/compiled/material* is Apache-2.0
# - sphinx_design/compiled/octicon* is MIT
License:        MIT AND Apache-2.0
URL:            https://sphinx-design.readthedocs.io/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/v%{version}/sphinx-design-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# The Fedora package does not contain JSON glyphs
Provides:       bundled(material-icons-fonts) = 4.0.0.c9e5528

# Octicons is not available from Fedora
# The upstream release tarball does not contain JSON glyphs
Provides:       bundled(octicons) = 19.8.0

%global _description %{expand:
This package contains a Sphinx extension for designing beautiful, view
size responsive web components.}

%description %_description

%package     -n python3-sphinx-design
Summary:        Sphinx extension for responsive web components

%description -n python3-sphinx-design %_description

%package        doc
Summary:        Documentation for %{name}
# This project is MIT.  The Javascript and CSS bundled with the documentation
# has the following licenses:
# _static/_sphinx_javascript_frameworks_compat.js: BSD-2-Clause
# _static/alabaster.css: BSD-3-Clause
# _static/basic.css: BSD-2-Clause
# _static/custom.css: BSD-3-Clause
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/jquery*.js: MIT
# _static/js: MIT
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/searchtools.js: BSD-2-Clause
# _static/underscore*.js: MIT
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        MIT AND BSD-2-Clause AND BSD-3-Clause

%description    doc
Documentation for %{name}.

%prep
%autosetup -n sphinx-design-%{version} -p1

%generate_buildrequires
# Unpin pytest and myst-parser's version
sed -i "/pytest~=/s/~=8\.3//" pyproject.toml
sed -i "/myst-parser>=/s/>=2,<4//" pyproject.toml
%pyproject_buildrequires -t -x testing

%build
%pyproject_wheel

# Build documentation
PYTHONPATH=$PWD sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}

%install
%pyproject_install
%pyproject_save_files -L sphinx_design

%check
%pytest -v

%files -n python3-sphinx-design -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE
%license sphinx_design/compiled/material-icons_LICENSE
%license sphinx_design/compiled/octicon_LICENSE

%files doc
%doc html
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.6.1-5
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Jerry James <loganjerry@gmail.com> - 0.6.1-3
- Assert that no license file is installed

* Fri Sep 20 2024 Karolina Surma <ksurma@redhat.com> - 0.6.1-2
- Unpin myst-parser's version

* Sun Aug 04 2024 Jerry James <loganjerry@gmail.com> - 0.6.1-1
- Version 0.6.1

* Mon Jul 22 2024 Jerry James <loganjerry@gmail.com> - 0.6.0-5
- Permit use of myst-parser 3.x

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 0.6.0-3
- Fix the VCS field

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.13

* Thu May 23 2024 Jerry James <loganjerry@gmail.com> - 0.6.0-1
- Version 0.6.0
- Drop upstreamed Sphinx 7.2 patch

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 30 2023 Jerry James <loganjerry@gmail.com> - 0.5.0-2
- Fix build with Sphinx 7.2.x (rhbz#2246941)

* Thu Jul 27 2023 Jerry James <loganjerry@gmail.com> - 0.5.0-1
- Version 0.5.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Karolina Surma <ksurma@redhat.com> - 0.4.1-3
- Relax the python-myst-parser's and python-sphinx' version constraint

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.4.1-2
- Rebuilt for Python 3.12

* Fri Apr 14 2023 Jerry James <loganjerry@gmail.com> - 0.4.1-1
- Version 0.4.1
- Drop upstreamed Sphinx 6.x patch
- Drop upstreamed workaround for myst-parser 1.0.0

* Mon Mar 20 2023 Karolina Surma <ksurma@redhat.com> - 0.3.0-4
- Allow building with python-myst-parser 1.0.0

* Fri Mar 17 2023 Jerry James <loganjerry@gmail.com> - 0.3.0-3
- Allow building with Sphinx 6.x (rhbz#2179085)

* Thu Feb 23 2023 Jerry James <loganjerry@gmail.com> - 0.3.0-2
- Dynamically generate BuildRequires

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Version 0.3.0

* Mon Aug  1 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-5
- Use uppercase AND for SPDX conjunction

* Mon Aug  1 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-4
- Rename the docs subpackage to doc

* Fri Jul 22 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-3
- Fix more issues found on review

* Tue Jun 28 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-2
- Address license issues found on review

* Tue Jun 21 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-1
- Initial RPM

## END: Generated by rpmautospec
